Search processing.org:

Reference for Processing version 1.0.1+. If you have a previous version, use the reference included with your software. If you see any errors or have any comments, let us know.

Name

### millis()

Examples

    void draw() {
      float m = millis();
      fill(m % 255);
      rect(25, 25, 50, 50);
    }

Description | Returns the number of milliseconds (thousandths of a second) since starting an applet. This information is often used for timing animation sequences.

Syntax

    millis()

Returns | int
Usage | Web & Application
Related | millis() second() minute() hour() day() month() year()

Updated on November 22, 2008 08:39:25pm PST